# Uses of Class
net.shibboleth.idp.cas.ticket.Ticket

Packages that use Ticket
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.
net.shibboleth.idp.cas.ticket.impl
CAS protocol ticket implementations.
net.shibboleth.idp.cas.ticket.serialization.impl
CAS protocol ticket serialization implementations.

## Uses of Ticket in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as Ticket
Modifier and Type
Field
Description
`private Ticket`
BuildProxyChainAction.`ticket`
Ticket.
`private Ticket`
UpdateIdPSessionWithSPSessionAction.`ticket`
Ticket.
`private Ticket`
ValidateProxyCallbackAction.`ticket`
CAS ticket.
`private Ticket`
ValidateRenewAction.`ticket`
CAS ticket.
Methods in net.shibboleth.idp.cas.flow.impl that return Ticket
Modifier and Type
Method
Description
`protected Ticket`
AbstractCASProtocolAction.`getCASTicket(ProfileRequestContext prc)`
Get the CAS ticket.
`private Ticket`
ValidateProxyCallbackAction.`getTicket()`
Null Safe getter.
Methods in net.shibboleth.idp.cas.flow.impl with parameters of type Ticket
Modifier and Type
Method
Description
`protected void`
AbstractCASProtocolAction.`setCASTicket(ProfileRequestContext prc, Ticket ticket)`
Set the CAS ticket.

## Uses of Ticket in net.shibboleth.idp.cas.ticket

Subclasses of Ticket in net.shibboleth.idp.cas.ticket
Modifier and Type
Class
Description
`class`
`ProxyGrantingTicket`
CAS proxy-granting ticket.
`class`
`ProxyTicket`
CAS proxy ticket.
`class`
`ServiceTicket`
CAS service ticket.
Fields in net.shibboleth.idp.cas.ticket declared as Ticket
Modifier and Type
Field
Description
`private final Ticket`
TicketContext.`t`
Ticket held by this context.
Methods in net.shibboleth.idp.cas.ticket that return Ticket
Modifier and Type
Method
Description
`Ticket`
Ticket.`clone(String newId)`
Create a new ticket from this one with the given identifier.
`Ticket`
TicketContext.`getTicket()`
Get the ticket held by this context.
`protected Ticket`
ProxyGrantingTicket.`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.
`protected Ticket`
ProxyTicket.`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.
`protected Ticket`
ServiceTicket.`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.
`protected Ticket`
Ticket.`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.
Constructors in net.shibboleth.idp.cas.ticket with parameters of type Ticket
Modifier
Constructor
Description
``
`TicketContext(Ticket ticket)`
Creates a new ticket context to hold a CAS protocol ticket.

## Uses of Ticket in net.shibboleth.idp.cas.ticket.impl

Fields in net.shibboleth.idp.cas.ticket.impl with type parameters of type Ticket
Modifier and Type
Field
Description
`private static final Map<Class<? extends Ticket>,String>`
AbstractTicketService.`CONTEXT_CLASS_MAP`
Map of ticket classes to context names.
`private static final Map<Class<? extends Ticket>,StorageSerializer<? extends Ticket>>`
AbstractTicketService.`SERIALIZER_MAP`
Map of ticket classes to serializers.
`private static final Map<Class<? extends Ticket>,StorageSerializer<? extends Ticket>>`
AbstractTicketService.`SERIALIZER_MAP`
Map of ticket classes to serializers.
Methods in net.shibboleth.idp.cas.ticket.impl with type parameters of type Ticket
Modifier and Type
Method
Description
`private <T extends Ticket>
T`
EncodingTicketService.`decode(Class<T> ticketClass, String id, String prefix)`
Decode a ticket.
`protected <T extends Ticket>
T`
AbstractTicketService.`delete(String id, Class<T> clazz)`
Retrieves a ticket by ID from the storage service and then deletes it.
`(package private) <T extends Ticket>
T`
EncodingTicketService.`encode(Class<T> ticketClass, T ticket, String prefix)`
Encode a ticket.
`protected <T extends Ticket>
T`
AbstractTicketService.`read(String id, Class<T> clazz)`
Retrieves a ticket by ID from the storage service.
`protected static <T extends Ticket>
StorageSerializer<T>`
AbstractTicketService.`serializer(Class<T> clazz)`
Gets the storage service serializer for the given ticket type.
`protected <T extends Ticket>
void`
AbstractTicketService.`store(T ticket)`
Stores the given ticket in the storage service.
Method parameters in net.shibboleth.idp.cas.ticket.impl with type arguments of type Ticket
Modifier and Type
Method
Description
`protected static String`
AbstractTicketService.`context(Class<? extends Ticket> clazz)`
Gets the storage service context name for the given ticket type.

## Uses of Ticket in net.shibboleth.idp.cas.ticket.serialization.impl

Classes in net.shibboleth.idp.cas.ticket.serialization.impl with type parameters of type Ticket
Modifier and Type
Class
Description
`class`
`AbstractTicketSerializer<T extends Ticket>`
Base class for ticket serializers that use a simple field-delimited serialization strategy.